
%global meadversion 5.0.27
%global namedversion 5.0.27.SP2-redhat-00001
%global meadalpha .SP2_redhat_00001
%global meadrel .1
%global serial 4
%global namedversionrel redhat-00001

%bcond_without mead
%bcond_with javadoc

%{?scl:%scl_package jboss-remoting}
%{!?scl:%global pkg_name %{name}}

%define maven_version 5.0.27.SP2-redhat-00001

Name:      %{?scl_prefix}jboss-remoting
Version:   %{meadversion}
Release:   %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:     0
Summary:   JBoss Remoting
License:   ASL 2.0
Group:     Development/Java

%if %with mead
Source100: jboss-remoting-5.0.27.SP2-redhat-00001-project-sources.tar.gz
Source102: jboss-remoting-5.0.27.SP2-redhat-00001.jar
Source103: jboss-remoting-5.0.27.SP2-redhat-00001-sources.jar
Source104: jboss-remoting-5.0.27.SP2-redhat-00001.pom
Source105: jboss-remoting-5.0.27.SP2-redhat-00001-javadoc.jar
%endif

URL:       http://www.jboss.org/jbossremoting

BuildArch: noarch
BuildRoot: %{_tmppath}/jboss-remoting-%{version}-%{release}-root

%description
The purpose of JBoss Remoting is to provide a general purpose framework
for symmetric and asymmetric communication over a network. It supports
various modes of interaction, including invocations, one way messaging,
and asynchronous callbacks.

%if %with javadoc
%package javadoc
Summary:   Javadoc for jboss-remoting
Group:     Development/Documentation

BuildRequires:  unzip

%description javadoc
API documentation for jboss-remoting.
%endif

%prep
%setup -q -n jboss-remoting-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-remoting-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-remoting-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-remoting-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-remoting-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-remoting-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-remoting-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)


%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-remoting-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-remoting-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-remoting-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-remoting-%{namedversion} %{buildroot}%{_javadocdir}/jboss-remoting
%endif

%clean
%{__rm} -rf %{buildroot}


%files -n %{?scl_prefix}jboss-remoting
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}*/*.jar

%if %with javadoc
%files javadoc
%{_javadocdir}/jboss-remoting-%{mavenversion}
%{_javadocdir}/jboss-remoting
%endif

%changelog
* Tue Jan 16 2024 cpaas-ops <cpaas-ops@redhat.com> - 5.0.27-4.SP2_redhat_00001.1
- Built by CPaaS

* Fri Jan 12 2024 cpaas-ops <cpaas-ops@redhat.com> - 5.0.27-2.Final_redhat_00001.1
- Built by CPaaS

* Mon Mar 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.0.27-1.Final_redhat_00001.1
- Built by CPaaS

* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.0.25-2.Final_redhat_00001.1
- Built by CPaaS

* Thu Oct 13 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.0.25-1.Final_redhat_00001.1
- Built by CPaaS

* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.0.23-1.SP1_redhat_00001.1
Built by CPaaS

